<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <title>MNIST Recognition app</title>
    <!-- integrates bootstrap -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <!-- integrates vue.js -->
    <script src="https://cdn.jsdelivr.net/npm/vue@next"></script>
    <!-- MNIST Recognition styles and scripts -->
    <link rel="stylesheet" href="css/index.css">
  </head>
  <body>
    <div class="row h-100 text-center" id="app">
        <div class="col-sm-12 my-auto">
            <div>
                <h1>Paint the digit (0-9):</h1>
            </div>
            <div>
                <canvas class="digit-input" id="canvasInput"
                 ref="canvasInput" @mousemove="canvasMouseMove" @mousedown="setPosition" width="560" height="560">
                <p>Not supported by your browser</p></canvas>
            </div>
            <div v-if="recognizedDigit !== null && recognizedDigit !== -1" class="alert alert-success result-container">
              <p>The digit prediction is: <b>{{ recognizedDigit }} </b></p>
            </div>
            <div v-if="recognizedDigit == -1" class="alert alert-danger" style="margin-top: 16px;">
              <p>Cannot recognize the digit.</p>
            </div>
            <div>
                <button type="button" class="btn btn-success control-button" @click="recognizeDigit" :disabled="isRecognizeDisabled"> {{ recognizeLabel }}</button>
                <button type="button" class="btn btn-secondary control-button" @click="clearCanvas">Clear</button>
            </div>
        </div>
    </div>
    <script src="js/index.js"></script>
  </body>
</html>